## libimage-imlib2-perl 2.03

=== debian/changelog ===
libimage-imlib2-perl (2.03-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright: update license paragraphs.
  * debian/copyright: update headers.
  * Tighten build dependency on libimlib2-dev. (Closes: #1105181)
  * Set Rules-Requires-Root: no.
  * Update Build-Depends for cross builds.
  * Enable all hardening flags.
  * Annotate test-only build dependencies with <!nocheck>.
  * Use {override_,}dh_installexamples for installing examples.

 -- gregor herrmann <gregoa@debian.org>  Wed, 14 May 2025 16:54:59 +0200

libimage-imlib2-perl (2.03-2) unstable; urgency=medium

  * Maintain package in Debian Perl Group
    Closes: #1101314
  * Add Homepage
  * Fix watch file
  * Drop quilt from Build-Depends
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/copyright: DEP5 + review
  * Fix clean target to cleanup after build-time test
    Closes: #1046831
  * Add perl-xs-dev to Build-Depends
    Closes: #1102873

 -- Andreas Tille <tille@debian.org>  Mon, 28 Apr 2025 14:01:29 +0200

libimage-imlib2-perl (2.03-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Creates empty package on bookworm upwards":
    `imlib2-config' went missing from libimlib2-dev, so use pkgconfig (new
    patch pkg-config.diff and build dependency on libextutils-pkgconfig-perl)
    (Closes: #1040223)
  * Add patch 0001-Work-around-an-imlib2-bug-with-alpha-channel-cloning.patch
    from Niko Tyni to work around an imlib2 bug with alpha channel cloning
    which makes a test fail.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Jul 2023 16:09:32 +0200

libimage-imlib2-perl (2.03-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to avoid embedding the build path
    in Imlib2.so. (Closes: #1020665)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:56:50 -0700

libimage-imlib2-perl (2.03-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Sat, 15 Oct 2011 16:36:13 -0700

libimage-imlib2-perl (2.02-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Mon, 16 Feb 2009 21:43:13 -0800

libimage-imlib2-perl (2.01-1) unstable; urgency=low

  * New upstream release
  * Update standards version, no changes necessary

 -- Don Armstrong <don@debian.org>  Thu, 19 Jun 2008 12:14:40 -0700

libimage-imlib2-perl (2.00-2) unstable; urgency=low

  * Fix FTBFS in perl 5.10's MakeMaker

 -- Don Armstrong <don@debian.org>  Tue, 22 Jan 2008 15:10:59 -0800

libimage-imlib2-perl (2.00-1) unstable; urgency=low

  * New upstream release
  * Kill the .packlist with extreeme prejudice.

 -- Don Armstrong <don@debian.org>  Tue, 18 Dec 2007 16:07:05 -0800

libimage-imlib2-perl (1.13-2) unstable; urgency=low

  * Delete t/cropped.png on clean (closes: #442639)

 -- Don Armstrong <don@debian.org>  Mon, 17 Sep 2007 00:45:10 -0700

libimage-imlib2-perl (1.13-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 19 Jan 2007 17:38:50 -0800

libimage-imlib2-perl (1.12-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Wed, 13 Sep 2006 18:33:32 -0700

libimage-imlib2-perl (1.10-1) unstable; urgency=low

  * New upstream release
  * Update standards version; no changes necessary.

 -- Don Armstrong <don@debian.org>  Mon, 24 Jul 2006 07:07:03 -0700

libimage-imlib2-perl (1.08-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Sun, 12 Mar 2006 18:27:09 -0800

libimage-imlib2-perl (1.07-1) unstable; urgency=low

  * New upstream release (Closes: #329567)

 -- Don Armstrong <don@debian.org>  Sun, 25 Sep 2005 04:52:37 -0700

libimage-imlib2-perl (1.04-1) unstable; urgency=low

  * New upstream release

  * Disable has_alpha patch as it is now included in upstream

  * Really stick NEWS.Debian into the appropriate location (closes: #294460)

  * Add patch from guillomovitch@mandrake.org to add more error reporting
    to load [02_add_more_error_reporting.diff]

 -- Don Armstrong <don@debian.org>  Thu,  3 Mar 2005 22:14:36 -0800

libimage-imlib2-perl (1.03-1) unstable; urgency=low

  * New upstream release

  * Add has_alpha function to Image::Imlib2 which is not present in
    upstream to fix the lack of alpha channel support that happened in
    libimlib2 >= 1.1.2. (closes: #288167)

  * Add NEWS.Debian to indicate that the above has happened, and that new
    images default to having alpha support.

  * Add rudimentary patch support to debian/rules so I can propogate the
    fix to #288167 sanely.

 -- Don Armstrong <don@debian.org>  Sun, 23 Jan 2005 02:22:36 -0800

libimage-imlib2-perl (1.02-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@donarmstrong.com>  Wed, 26 May 2004 23:00:14 -0700

libimage-imlib2-perl (1.01-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@donarmstrong.com>  Sun,  9 Nov 2003 21:49:05 -0800

libimage-imlib2-perl (1.00-1) unstable; urgency=low

  * Initial packaging (closes: #218877)

 -- Don Armstrong <don@donarmstrong.com>  Mon,  3 Nov 2003 00:12:38 -0800
