=== debian/control ===
Source: libimage-imlib2-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Don Armstrong <don@debian.org>,
           Andreas Tille <tille@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libextutils-pkgconfig-perl,
               libimlib2-dev (>= 1.12.4-2~) | libimlib2-dev (<< 1.12.4),
               libmodule-build-perl,
               libtest-simple-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libimage-imlib2-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libimage-imlib2-perl.git
Homepage: https://metacpan.org/pod/Image::Imlib2
Rules-Requires-Root: no

Package: libimage-imlib2-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl interface to the imlib2 imaging library
 Image::Imlib2 is a perl interface to Imlib2 that allows you to use
 imlib2 to read, write, scale, crop, draw, and blend graphics
 formats in your favorite perl program.
