=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_installexamples:
	dh_installexamples
	# Fix paths in the examples
	perl -pi -e 's#/usr/local/bin/perl#/usr/bin/perl#g' $(TMP)/usr/share/doc/$(PACKAGE)/examples/*.pl
	# Remove pointless (for debian) use lib '../ ...' stuff [hint: \x27 is ']
	perl -pi -e 's#\s*use\s+lib\s+(?:qw\(\s*\.\./[^\)]+\)|\s*\.\./[^\x27]+\x27);\s*\n##' \
		$(TMP)/usr/share/doc/$(PACKAGE)/examples/*.pl
