=== debian/watch ===
version=4
https://metacpan.org/release/Image-Imlib2   .*/Image-Imlib2-v?@ANY_VERSION@@ARCHIVE_EXT@$
